# Class FingerprintingSummaryMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.analysis.FingerprintingSummaryMetrics

@DocumentedFeature(groupName="Metrics", summary="Metrics") public class FingerprintingSummaryMetrics extends htsjdk.samtools.metrics.MetricBase
Summary fingerprinting metrics and statistics about the comparison of the sequence data from a single read group (lane or index within a lane) vs. a set of known genotypes for the expected sample.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`HAPLOTYPES_CONFIDENTLY_CHECKED`
The subset of genotyped haplotypes for which there was sufficient sequence data to confidently genotype the haplotype.
`int`
`HAPLOTYPES_CONFIDENTLY_MATCHING`
The subset of confidently checked haplotypes that match the expected genotypes.
`int`
`HAPLOTYPES_WITH_GENOTYPES`
The number of haplotypes that had expected genotypes to compare to.
`int`
`HET_AS_HOM`
num of hets, observed as homs with LOD > threshold
`int`
`HOM_AS_HET`
num of homs, observed as hets with LOD > threshold
`int`
`HOM_AS_OTHER_HOM`
num of homs, observed as other homs with LOD > threshold
`double`
`LL_EXPECTED_SAMPLE`
The Log Likelihood of the sequence data given the expected sample's genotypes.
`double`
`LL_RANDOM_SAMPLE`
The Log Likelihood of the sequence data given a random sample from the human population.
`double`
`LOD_EXPECTED_SAMPLE`
The LOD for Expected Sample vs.
`String`
`READ_GROUP`
The read group from which sequence data was drawn for comparison.
`String`
`SAMPLE`
The sample whose known genotypes the sequence data was compared to.

## Constructor Summary

Constructors
Constructor
Description
`FingerprintingSummaryMetrics()`

## Method Summary

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### READ_GROUP

public String READ_GROUP
The read group from which sequence data was drawn for comparison.

### SAMPLE

public String SAMPLE
The sample whose known genotypes the sequence data was compared to.

### LL_EXPECTED_SAMPLE

public double LL_EXPECTED_SAMPLE
The Log Likelihood of the sequence data given the expected sample's genotypes.

### LL_RANDOM_SAMPLE

public double LL_RANDOM_SAMPLE
The Log Likelihood of the sequence data given a random sample from the human population.

### LOD_EXPECTED_SAMPLE

public double LOD_EXPECTED_SAMPLE
The LOD for Expected Sample vs. Random Sample. A positive LOD indicates that the sequence data is more likely to come from the expected sample vs. a random sample from the population, by LOD logs. I.e. a value of 6 indicates that the sequence data is 1,000,000 more likely to come from the expected sample than from a random sample. A negative LOD indicates the reverse - that the sequence data is more likely to come from a random sample than from the expected sample.

### HAPLOTYPES_WITH_GENOTYPES

public int HAPLOTYPES_WITH_GENOTYPES
The number of haplotypes that had expected genotypes to compare to.

### HAPLOTYPES_CONFIDENTLY_CHECKED

public int HAPLOTYPES_CONFIDENTLY_CHECKED
The subset of genotyped haplotypes for which there was sufficient sequence data to confidently genotype the haplotype. Note: all haplotypes with sequence coverage contribute to the LOD score, even if they cannot be "confidently checked" individually.

### HAPLOTYPES_CONFIDENTLY_MATCHING

public int HAPLOTYPES_CONFIDENTLY_MATCHING
The subset of confidently checked haplotypes that match the expected genotypes.

### HET_AS_HOM

public int HET_AS_HOM
num of hets, observed as homs with LOD > threshold

### HOM_AS_HET

public int HOM_AS_HET
num of homs, observed as hets with LOD > threshold

### HOM_AS_OTHER_HOM

public int HOM_AS_OTHER_HOM
num of homs, observed as other homs with LOD > threshold

## Constructor Details

### FingerprintingSummaryMetrics

public FingerprintingSummaryMetrics()